HandlerMethodInvocationException (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.web.bind.annotation.support

## Class HandlerMethodInvocationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.web.bind.annotation.support.HandlerMethodInvocationException

- All Implemented Interfaces:
    Serializable

      public class HandlerMethodInvocationException
      extends NestedRuntimeException

  Exception indicating that the execution of an annotated MVC handler method failed.
  Since:
    2.5.6
  Author:
    Juergen Hoeller
  See Also:
    `HandlerMethodInvoker.invokeHandlerMethod(java.lang.reflect.Method, java.lang.Object, org.springframework.web.context.request.NativeWebRequest, org.springframework.ui.ExtendedModelMap)`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HandlerMethodInvocationException(Method handlerMethod, Throwable cause)` Create a new HandlerMethodInvocationException for the given Method handle and cause.

  - ### Method Summary

    - ### Methods inherited from class org.springframework.core.NestedRuntimeException

      `contains, getMessage, getMostSpecificCause, getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HandlerMethodInvocationException

          public HandlerMethodInvocationException(Method handlerMethod,
                                          Throwable cause)

      Create a new HandlerMethodInvocationException for the given Method handle and cause.
      Parameters:
        `handlerMethod` - the handler method handle
        `cause` - the cause of the invocation failure